%define git_url git://anongit.freedesktop.org/xorg/driver/xf86-video-ati 6.12-branch

Name: x11-driver-video-ati
Version: 6.14.4
Release: %mkrel 1
Epoch: 1
Summary: X.org driver for ATI Technologies
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-ati-%{version}.tar.bz2

License: MIT

BuildRequires: libdrm-devel >= 2.4.33-1
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Conflicts: xorg-x11-server < 7.0
Conflicts: x11-driver-video-ati_6.7

Suggests: x11-driver-video-r128
Suggests: x11-driver-video-mach64
Suggests: radeon-firmware

%description
x11-driver-video-ati is the X.org driver for ATI Technologies.

%prep
%setup -q -n xf86-video-ati-%{version}
%apply_patches

%build
autoreconf -ifs
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%{_libdir}/xorg/modules/drivers/radeon_drv.la
%{_libdir}/xorg/modules/drivers/radeon_drv.so
%{_libdir}/xorg/modules/drivers/ati_drv.la
%{_libdir}/xorg/modules/drivers/ati_drv.so
%{_libdir}/xorg/modules/multimedia/theatre200_drv.la
%{_libdir}/xorg/modules/multimedia/theatre200_drv.so
%{_libdir}/xorg/modules/multimedia/theatre_detect_drv.la
%{_libdir}/xorg/modules/multimedia/theatre_detect_drv.so
%{_libdir}/xorg/modules/multimedia/theatre_drv.la
%{_libdir}/xorg/modules/multimedia/theatre_drv.so
%{_mandir}/man4/ati.*
%{_mandir}/man4/radeon.*


%changelog

* Tue Apr 03 2012 tmb <tmb> 1:6.14.4-1.mga2
+ Revision: 228060
- bump requires on libdrm
- update to 6.14.4 (adds Amd Trinity support)

* Tue Dec 06 2011 tmb <tmb> 1:6.14.3-3.mga2
+ Revision: 177443
- submit to core/release

* Thu Nov 03 2011 tv <tv> 1:6.14.3-2.mga2
+ Revision: 162004
- rebuild for xserver-1.11

* Thu Nov 03 2011 tv <tv> 1:6.14.3-1.mga2
+ Revision: 162003
- new release

* Sat Oct 08 2011 tv <tv> 1:6.14.2-2.mga2
+ Revision: 153086
- rebuild for xserver-1.11

* Tue Jun 07 2011 tmb <tmb> 1:6.14.2-1.mga2
+ Revision: 101627
- update to 6.14.2
- drop P0 (merged)

* Tue Mar 22 2011 tmb <tmb> 1:6.14.1-4.mga1
+ Revision: 75490
- add upstream bugfix for r6xx/r7xx ums mode

* Tue Mar 22 2011 tv <tv> 1:6.14.1-3.mga1
+ Revision: 75399
- clean description

* Mon Mar 21 2011 tmb <tmb> 1:6.14.1-2.mga1
+ Revision: 75333
- suggest radeon-firmware

* Fri Mar 18 2011 tv <tv> 1:6.14.1-1.mga1
+ Revision: 73955
- bump release

* Fri Mar 04 2011 tv <tv> 1:6.14.0-4.mga1
+ Revision: 64389
- rebuild for new xserver-1.10

* Thu Mar 03 2011 tv <tv> 1:6.14.0-3.mga1
+ Revision: 63752
- patch 1: fix build with xserver-1.10

* Wed Feb 09 2011 tmb <tmb> 1:6.14.0-2.mga1
+ Revision: 49457
- UMS/DCE3.2: fix segfault

* Fri Feb 04 2011 tmb <tmb> 1:6.14.0-1.mga1
+ Revision: 46819
- update to 6.14.0 final

* Sun Jan 30 2011 tmb <tmb> 1:6.13.99-0.20110127.1.mga1
+ Revision: 44737
- update to 2011-01-27

* Sun Jan 23 2011 tmb <tmb> 1:6.13.99-0.20110121.1.mga1
+ Revision: 35553
- update to 2011-01-21 snapshot

* Sun Jan 23 2011 blino <blino> 1:6.13.99-0.20101029.1.mga1
+ Revision: 35248
- imported package x11-driver-video-ati

